/* Copyright (c) 2006 Dirk Jagdmann <doj@cubic.org>

This software is provided 'as-is', without any express or implied
warranty. In no event will the authors be held liable for any damages
arising from the use of this software.

Permission is granted to anyone to use this software for any purpose,
including commercial applications, and to alter it and redistribute it
freely, subject to the following restrictions:

    1. The origin of this software must not be misrepresented; you
       must not claim that you wrote the original software. If you use
       this software in a product, an acknowledgment in the product
       documentation would be appreciated but is not required.

    2. Altered source versions must be plainly marked as such, and
       must not be misrepresented as being the original software.

    3. This notice may not be removed or altered from any source
       distribution. */

/* $Header: /code/qtpod/midi.hpp,v 1.3 2006/07/23 11:46:44 doj Exp $ */

#ifndef MIDI__HPP
#define MIDI__HPP

#include <stdint.h>

void do_controller(int c, int v);
void do_programchange(int v);
void do_sysex(uint8_t *buf, unsigned len);
int midi_init(char *appname, int channel=0, char *midiclient=0);

// and also QTPOD::midievent()

#endif
